VULKAN_HPP_NAMESPACE::FlagTraits< DescriptorBindingFlagBitsEXT > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(DescriptorBindingFlagBitsEXT::eUpdateAfterBind) | VkFlags(DescriptorBindingFlagBitsEXT::eUpdateUnusedWhilePending) | VkFlags(DescriptorBindingFlagBitsEXT::ePartiallyBound) | VkFlags(DescriptorBindingFlagBitsEXT::eVariableDescriptorCount) }

## Detailed Description

Definition at line 36271 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 36273 of file vulkan.hpp.

{
allFlags = VkFlags(DescriptorBindingFlagBitsEXT::eUpdateAfterBind) | VkFlags(DescriptorBindingFlagBitsEXT::eUpdateUnusedWhilePending) | VkFlags(DescriptorBindingFlagBitsEXT::ePartiallyBound) | VkFlags(DescriptorBindingFlagBitsEXT::eVariableDescriptorCount)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorBindingFlagBitsEXT::eUpdateUnusedWhilePending
@ eUpdateUnusedWhilePending
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::FlagTraits< DescriptorBindingFlagBitsEXT >::allFlags
@ allFlags
Definition: vulkan.hpp:36275
VULKAN_HPP_NAMESPACE::DescriptorBindingFlagBitsEXT::ePartiallyBound
@ ePartiallyBound
VULKAN_HPP_NAMESPACE::DescriptorBindingFlagBitsEXT::eVariableDescriptorCount
@ eVariableDescriptorCount
VULKAN_HPP_NAMESPACE::DescriptorBindingFlagBitsEXT::eUpdateAfterBind
@ eUpdateAfterBind